Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

Build 3659

Discussion in 'CRM / Helpdesk / App Integration' started by SWSDEV, Mar 5, 2011.

Thread Status:
Not open for further replies.
  1. SWSDEV

    SWSDEV Member

    Joined:
    Feb 23, 2008
    Messages:
    256
    Likes Received:
    0
    I finally instaleld build 3659, but it installed the old version still. Where is a working link for the newest build of the VAD?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Yes, you're right. I will let you know when the link is fixed. Sorry about this.
     
  3. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Now the installer has been updated. The new MSI file is 8Mb aproximately.
    Thanks for reporting the problem!
     
  4. Energie

    Joined:
    Mar 18, 2011
    Messages:
    9
    Likes Received:
    0
    Problem with deployment.
    Just upgrade from the previous release and cannot deploy anymore?
    Could not connect to the deployment URI. Verify that 3CX Phone System has the 3CX Voice Application Designer Server Components installed. Also verify the PbxDeploymentUri property for the project.
    The remote server returned an error: (404) Not Found.


    What should I do now since it was working before?
     
  5. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Hi,

    Please, check the Server type property. You need to select IIS or Abyss. Maybe the default type is not what you're using.

    Can you give it a try and let me know?

    Thanks,
     
  6. Energie

    Joined:
    Mar 18, 2011
    Messages:
    9
    Likes Received:
    0
    I Select IIS which is what I run.
    My OS is Windows Server 2008 R2 Foundation
    Installed successfully 3CX Phone System with IIS as web server
    Installed succesfully the previous VAD and now the new build 3659
    Deployement was fine with previous rbuild and not anymore with this build

    Try to deploy the Sample (SimpleDialer)
    PbxConfigurationPort 5485
    PbxServer localhost
    PbxWebServerType IIS
     
  7. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Are you using 3CX v9? Or the v10 beta1?
     
  8. Energie

    Joined:
    Mar 18, 2011
    Messages:
    9
    Likes Received:
    0
    V9.
    Can I Download v10 if if yes where and is it reliable for production yet?
     
  9. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    No, v10 is in beta yet, not suggested for production right now.
    I will test your scenario and let you know.
     
  10. Energie

    Joined:
    Mar 18, 2011
    Messages:
    9
    Likes Received:
    0
    Thank you to let me know asap since I just got my VAD license and have to show my client a solid demo also using the external Code Execution model using dotnet library.
    In that regard, should I use framework 2 or 4. I would preffer 4 but I think that only 2 is supported for the IVR web deployment?
     
  11. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Actually, the VAD outputs ASP.NET source code, so it can be compiled to .NET 2.0 or .NET 4.0 seamlessly. If using .NET 4.0, you need to configure IIS accordingly.
     
  12. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Hi,

    I was reading again the error message, and it does not belong to the latest version. The message refers to "PbxDeploymentUri property", and that message has been changed, since that property does not exist any more. Can you check the installed version from the About box?

    Also, can you check into the file C:\Program Files\3CX PhoneSystem\Data\Ivr\Cfg\3CXIvr.cfg the value of "client.vxmlURL". Is it "http://localhost/ivr/ivr_start.aspx"?

    Thanks,
     
  13. Energie

    Joined:
    Mar 18, 2011
    Messages:
    9
    Likes Received:
    0
    As for IIS and Application Pool for Framework 4 - It does not seems to be really good either with Classic or Integrated mode.

    As for the Version I do run a brand new install of VAD build 3659 and yes it is the message I got
    My Settings for deployment:
    Try to deploy the Sample (SimpleDialer)
    PbxConfigurationPort 5485
    PbxServer localhost
    PbxWebServerType IIS



    client.vxmlURL VXIString http://localhost:5484/ivr_start.aspx
    I try with this http://localhost/ivr/ivr_start.aspx but it is the same
     

    Attached Files:

  14. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Hi,

    I have been investigating this, and this is probably a bug in the VAD working with IIS. We're going to fix it asap. We need to release a new VAD version that works with v10 very soon, so this fix will be included then.

    Can you please try the previous version until this is fixed? The new version should be available during next week.

    Sorry about the inconvenience.

    Thanks,
     
  15. Energie

    Joined:
    Mar 18, 2011
    Messages:
    9
    Likes Received:
    0
    Would you be able to send me a link of the previous build, I override it with this one.
    Also when you say "The new version should be available during next week." are you also referring to the 3CX Phone System V10 or only VAD.

    "
     
  16. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Please, send me your e-mail in a private message and I will send you the previous version installer.
    Next week we'll release a new VAD version that works with 3CX v10, as current version has some known issues. In that new VAD version we'll fix this problem too.
     
  17. VAD_Support

    VAD_Support Active Member

    Joined:
    Aug 6, 2009
    Messages:
    690
    Likes Received:
    0
    Hi,

    A new build has been released, containing a fix for this problem.

    Regards,
     
Thread Status:
Not open for further replies.